Hello,
I'd like to point out an apparent problem with a patch provided to put numpy support in the current stable version of GDL (0.9) - it is missing a call to import_array().

The patch file is located here:
https://build.opensuse.org/package/v...609c1a6fa5eb21

This patch installed seamlessly in my GDL source (vers 0.9). However, the compiled GDL executable the seg-faulted because PyArray_API was NULL.

I suggest that

58 -
59 - import_libnumarray();
60 }

be changed to

58 -
59 - import_libnumarray();
60 + import_array();
61 }

This is needed apparently to initialize the numpy variable PyArray_API

When I made this change and recompiled GDL everything seemed to work fine.

Thanks,
Gregory Huey